<div class="group-container group-position-address" {{did-insert this.setup}} {{did-update this.setup @details}}>
  <Attributes::Group @group={{this.group}}>
    <label for="{{this.elementId}}-search-input" class="form-label text-success fw-medium">{{t "search an address"}}</label>

    <div class="input-group mb-3 attribute-value">
      {{!-- template-lint-disable builtin-component-arguments --}}
      <Input type="text" class="form-control search-address-input" @value={{this.searchTerm}} id="{{this.elementId}}-search-input" {{on "keyup" this.keyPress}} />
      <Input::Button class="btn btn-outline-secondary btn-search-address" @isLoading={{this.isSearching}} @action={{this.showSearchResults}} type="button">{{t "search"}}</Input::Button>
    </div>

    {{#if this.hasNoResults}}
      <div class="alert alert-danger alert-no-address" role="alert">
        {{t "survey-no-address-found"}}
      </div>
    {{/if}}

    {{#if this.geocodingSearch.results}}
      <Attributes::Value @key="address" @name={{t "address"}} @value={{this.address}} @options={{this.geocodingSearch.results}} @format="options" @onChange={{this.changeAddress}} />
    {{/if}}
  </Attributes::Group>
</div>